Skip to main content
GET
Get bulk crypto payment
v1 (legacy). This page documents the API before the v2 update. The v1 format is not enabled for new accounts and must be enabled on your account by your account manager. New integrations should use the current documentation. To update an existing integration, follow the migration guide.

Requirements to consume the endpoint.

User approved

The user must be approved in at least one country.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Id of the bulk crypto payment

Response

200 - application/json

OK

createdAt
string

The date and time the order was created

Example:

"2025-01-04T00:24:28.658Z"

userId
string

The unique identifier of the user

Example:

"6757546b4c5d19bf3cd7b09c"

orderIds
string[]

List of order IDs pending payment

Example:
amount
number

The total amount of the orders

Example:

14340

orderIdsPaid
string[]

List of order IDs that have been paid

Example:
crypto
enum<string>

The type of cryptocurrency involved in the order

Available options:
USDC,
USDC_POLYGON_NXTB,
SOL_USDC_PTHX,
XLM_USDC_5F3T,
USDC_BASECHAIN_ETH_5I5C,
USDCE_TEMPO_MXYR,
USDT_POLYGON,
USDT_ERC20,
TRX_USDT_S2UZ,
USDT_BSC,
SOL_USDT_EWAY,
EUROC_ETH_F5NG,
EURC_SOL,
EURC_B609K9QB_Y213
country
enum<string>

The country of the operation

Available options:
MX,
PE,
CO
status
enum<string>

The current status of the bulk crypto payment.

Available options:
awaitingDepositAddress,
awaitingOrders,
awaitingPayment,
awaitingAsyncPayment,
awaitingAsyncPayoutForOrders,
complete,
failed,
cancelled,
insufficientAmountReceived,
excessAmountReceived
Example:

"awaitingPayment"

depositAddress
string

The deposit address for the order

Example:

"5BZDQjWad45rT1vYT5KdJHgSU4rWXL1Y5nDoTwSrT8Pr"

id
string

The unique identifier of the order

Example:

"67787fbcd520f9ecb10e9be6"